###########################################################################
#
#   mis.mak
#
#   MisfitMAME target makefile
#
#   Copyright (c) 1996-2007, Nicola Salmoria and the MAME Team.
#   Visit http://mamedev.org for licensing and usage restrictions.
#
###########################################################################

MISSRC = $(SRC)/mis
MISOBJ = $(OBJ)/mis

MAMESRC = $(SRC)/mame
MAMEOBJ = $(OBJ)/mame

MISAUDIO = $(MISOBJ)/audio
MISDRIVERS = $(MISOBJ)/drivers
MISLAYOUT = $(MISOBJ)/layout
MISMACHINE = $(MISOBJ)/machine
MISVIDEO = $(MISOBJ)/video

AUDIO = $(MAMEOBJ)/audio
DRIVERS = $(MAMEOBJ)/drivers
LAYOUT = $(MAMEOBJ)/layout
MACHINE = $(MAMEOBJ)/machine
VIDEO = $(MAMEOBJ)/video

OBJDIRS += \
	$(MISAUDIO) \
	$(MISDRIVERS) \
	$(MISLAYOUT) \
	$(MISMACHINE) \
	$(MISVIDEO) \
	$(AUDIO) \
	$(DRIVERS) \
	$(LAYOUT) \
	$(MACHINE) \
	$(VIDEO) \

#-------------------------------------------------
# specify available CPU cores; some of these are
# only for MESS and so aren't included
#-------------------------------------------------

# this is for pong in misfitmame
CPUS += GENSYNC

CPUS += Z80
#CPUS += Z180
#CPUS += 8080
CPUS += 8085A
CPUS += M6502
CPUS += M65C02
CPUS += M65SC02
#CPUS += M65CE02
#CPUS += M6509
#CPUS += M6510
#CPUS += M6510T
#CPUS += M7501
#CPUS += M8502
CPUS += N2A03
#CPUS += DECO16
#CPUS += M4510
CPUS += H6280
CPUS += I86
#CPUS += I88
#CPUS += I186
#CPUS += I188
#CPUS += I286
#CPUS += V20
#CPUS += V30
#CPUS += V33
#CPUS += V60
#CPUS += V70
CPUS += I8035
CPUS += I8039
#CPUS += I8048
#CPUS += N7751
#CPUS += I8X41
#CPUS += I8051
#CPUS += I8052
#CPUS += I8751
#CPUS += I8752
CPUS += M6800
CPUS += M6801
CPUS += M6802
CPUS += M6803
CPUS += M6808
CPUS += HD63701
#CPUS += NSC8105
#CPUS += M6805
CPUS += M68705
CPUS += HD63705
#CPUS += HD6309
CPUS += M6809
#CPUS += M6809E
#CPUS += KONAMI
CPUS += M68000
CPUS += M68010
CPUS += M68EC020
#CPUS += M68020
#CPUS += M68040
#CPUS += T11
CPUS += S2650
#CPUS += TMS34010
#CPUS += TMS34020
#CPUS += TMS9900
#CPUS += TMS9940
CPUS += TMS9980
#CPUS += TMS9985
#CPUS += TMS9989
CPUS += TMS9995
#CPUS += TMS99105A
#CPUS += TMS99110A
#CPUS += Z8000
CPUS += TMS32010
#CPUS += TMS32025
#CPUS += TMS32026
#CPUS += TMS32031
CPUS += CCPU
#CPUS += ADSP2100
#CPUS += ADSP2101
#CPUS += ADSP2104
#CPUS += ADSP2105
#CPUS += ADSP2115
#CPUS += ADSP2181
#CPUS += PSXCPU
#CPUS += ASAP
#CPUS += UPD7810
#CPUS += UPD7807
#CPUS += ARM
CPUS += ARM7
#CPUS += JAGUAR
CPUS += R3000
CPUS += R4600
CPUS += R4700
CPUS += R5000
#CPUS += QED5271
#CPUS += RM7000
#CPUS += SH2
#CPUS += DSP32C
#CPUS += PIC16C54
#CPUS += PIC16C55
#CPUS += PIC16C56
#CPUS += PIC16C57
#CPUS += PIC16C58
#CPUS += G65816
#CPUS += SPC700
#CPUS += E116T
#CPUS += E116XT
#CPUS += E116XS
#CPUS += E116XSR
#CPUS += E132N
#CPUS += E132T
#CPUS += E132XN
#CPUS += E132XT
#CPUS += E132XS
#CPUS += E132XSR
#CPUS += GMS30C2116
#CPUS += GMS30C2132
#CPUS += GMS30C2216
#CPUS += GMS30C2232
#CPUS += I386
#CPUS += I486
#CPUS += PENTIUM
#CPUS += MEDIAGX
#CPUS += I960
#CPUS += H83002
CPUS += V810
#CPUS += M37710
#CPUS += PPC403
#CPUS += PPC602
#CPUS += PPC603
#CPUS += SE3208
#CPUS += MC68HC11
#CPUS += ADSP21062
#CPUS += DSP56156
#CPUS += TLCS90
#CPUS += MB8843
CPUS += MB8844
# CPUS += APEXC
# CPUS += CP1610
# CPUS += F8
# CPUS += LH5801
# CPUS += PDP1
# CPUS += SATURN
# CPUS += SC61860
# CPUS += TX0_64KW
# CPUS += TX0_8KW
# CPUS += Z80GB
# CPUS += TMS7000
# CPUS += TMS7000_EXL
# CPUS += SM8500
# CPUS += V30MZ




#-------------------------------------------------
# specify available sound cores; some of these are
# only for MESS and so aren't included
#-------------------------------------------------

SOUNDS += CUSTOM
SOUNDS += SAMPLES
SOUNDS += DAC
#SOUNDS += DMADAC
SOUNDS += DISCRETE
SOUNDS += AY8910
SOUNDS += YM2203
SOUNDS += YM2151
#SOUNDS += YM2608
SOUNDS += YM2610
SOUNDS += YM2610B
#SOUNDS += YM2612
#SOUNDS += YM3438
SOUNDS += YM2413
SOUNDS += YM3812
#SOUNDS += YMZ280B
SOUNDS += YM3526
#SOUNDS += Y8950
SOUNDS += SN76477
SOUNDS += SN76496
SOUNDS += POKEY
#SOUNDS += TIA
SOUNDS += NES
#SOUNDS += ASTROCADE
SOUNDS += NAMCO
SOUNDS += NAMCO_15XX
SOUNDS += NAMCO_CUS30
SOUNDS += NAMCO_52XX
SOUNDS += NAMCO_54XX
SOUNDS += NAMCO_63701X
SOUNDS += NAMCONA
SOUNDS += TMS36XX
SOUNDS += TMS3615
SOUNDS += TMS5110
SOUNDS += TMS5220
SOUNDS += VLM5030
SOUNDS += ADPCM
SOUNDS += OKIM6295
SOUNDS += MSM5205
SOUNDS += MSM5232
SOUNDS += UPD7759
SOUNDS += HC55516
#SOUNDS += K005289
#SOUNDS += K007232
#SOUNDS += K051649
#SOUNDS += K053260
#SOUNDS += K054539
SOUNDS += SEGAPCM
#SOUNDS += RF5C68
#SOUNDS += CEM3394
#SOUNDS += C140
SOUNDS += QSOUND
SOUNDS += SAA1099
#SOUNDS += IREMGA20
SOUNDS += ES5503
SOUNDS += ES5505
SOUNDS += ES5506
#SOUNDS += BSMT2000
#SOUNDS += YMF262
#SOUNDS += YMF278B
#SOUNDS += GAELCO_CG1V
#SOUNDS += GAELCO_GAE1
#SOUNDS += X1_010
#SOUNDS += MULTIPCM
SOUNDS += C6280
SOUNDS += SP0250
#SOUNDS += SCSP
#SOUNDS += YMF271
#SOUNDS += PSXSPU
#SOUNDS += CDDA
SOUNDS += ICS2115
SOUNDS += ST0016
#SOUNDS += C352
#SOUNDS += VRENDER0
#SOUNDS += VOTRAX
SOUNDS += ES8712
#SOUNDS += RF5C400
#SOUNDS += SPEAKER
#SOUNDS += CDP1869
#SOUNDS += S14001A
#SOUNDS += BEEP
#SOUNDS += WAVE
#SOUNDS += SID6581
#SOUNDS += SID8580
#SOUNDS += SP0256



#-------------------------------------------------
# this is the list of driver libaries that
# comprise MAME
#-------------------------------------------------

DRVLIBS = \
	$(MISOBJ)/mis_driv.o \
	$(MISOBJ)/atari.a \
	$(MISOBJ)/capcom.a \
	$(MISOBJ)/cinemat.a \
	$(MISOBJ)/dataeast.a \
	$(MISOBJ)/gottlieb.a \
	$(MISOBJ)/igs.a \
	$(MISOBJ)/irem.a \
	$(MISOBJ)/itech.a \
	$(MISOBJ)/jaleco.a \
	$(MISOBJ)/kaneko.a \
	$(MISOBJ)/konami.a \
	$(MISOBJ)/midway.a \
	$(MISOBJ)/namco.a \
	$(MISOBJ)/neogeo.a \
	$(MISOBJ)/nichibut.a \
	$(MISOBJ)/nintendo.a \
	$(MISOBJ)/pacman.a \
	$(MISOBJ)/phoenix.a \
	$(MISOBJ)/sega.a \
	$(MISOBJ)/seta.a \
	$(MISOBJ)/snk.a \
	$(MISOBJ)/taito.a \
	$(MISOBJ)/tehkan.a \
	$(MISOBJ)/toaplan.a \
	$(MISOBJ)/univers.a \
	$(MISOBJ)/valadon.a \
	$(MISOBJ)/misc.a \
	$(MISOBJ)/shared.a \
	$(MISOBJ)/agemame.a \
	$(MISOBJ)/misfit.a \



#-------------------------------------------------
# the following files are general components and
# shared across a number of drivers
#-------------------------------------------------

$(MISOBJ)/shared.a: \
	$(MACHINE)/6532riot.o \
	$(MACHINE)/6522via.o \
	$(MACHINE)/6821pia.o \
	$(MACHINE)/6840ptm.o \
	$(MACHINE)/7474.o \
	$(MACHINE)/74123.o \
	$(MACHINE)/74148.o \
	$(MACHINE)/74153.o \
	$(MACHINE)/74181.o \
	$(MACHINE)/8042kbdc.o \
	$(MACHINE)/8237dma.o \
	$(MACHINE)/8255ppi.o \
	$(MACHINE)/adc083x.o \
	$(MACHINE)/idectrl.o \
	$(MACHINE)/mc146818.o \
	$(MACHINE)/nmk112.o \
	$(MACHINE)/pci.o \
	$(MACHINE)/pckeybrd.o \
	$(MACHINE)/pcshare.o \
	$(MACHINE)/pic8259.o \
	$(MACHINE)/pit8253.o \
	$(MACHINE)/scsicd.o \
	$(MACHINE)/scsihd.o \
	$(MACHINE)/segacrpt.o \
 	$(MACHINE)/smc91c9x.o \
	$(MACHINE)/ticket.o \
	$(MACHINE)/tmp68301.o \
	$(MACHINE)/z80ctc.o \
	$(MACHINE)/z80pio.o \
	$(MACHINE)/z80sio.o \
	$(VIDEO)/crtc6845.o \
	$(VIDEO)/avgdvg.o \
	$(VIDEO)/poly.o \
	$(VIDEO)/res_net.o \
	$(VIDEO)/tlc34076.o \
	$(VIDEO)/tms34061.o \
 	$(VIDEO)/voodoo.o \



#-------------------------------------------------
# manufacturer-specific groupings for drivers
#-------------------------------------------------

$(MISOBJ)/atari.a: \
	$(MISDRIVERS)/asteroid.o $(MACHINE)/asteroid.o $(AUDIO)/asteroid.o $(AUDIO)/llander.o \
	$(DRIVERS)/bzone.o $(AUDIO)/bzone.o $(MISDRIVERS)/bwidow.o\
	$(MISDRIVERS)/centiped.o $(VIDEO)/centiped.o \
	$(MISDRIVERS)/gauntlet.o $(VIDEO)/gauntlet.o \
	$(MISDRIVERS)/tempest.o \
	$(MACHINE)/atari_vg.o \
	$(MACHINE)/atarigen.o \
	$(MACHINE)/mathbox.o \
	$(MACHINE)/slapstic.o \
	$(AUDIO)/atarijsa.o \
	$(VIDEO)/atarimo.o \
	$(VIDEO)/atarirle.o \
	$(AUDIO)/redbaron.o \

$(MISOBJ)/capcom.a: \
	$(MISDRIVERS)/1942.o $(VIDEO)/1942.o \
	$(MISDRIVERS)/blktiger.o $(VIDEO)/blktiger.o \
	$(MISDRIVERS)/commando.o $(VIDEO)/commando.o \
	$(MISDRIVERS)/cps1.o $(VIDEO)/cps1.o \
	$(MISDRIVERS)/mitchell.o $(VIDEO)/mitchell.o \
	$(MACHINE)/kabuki.o \

$(MISOBJ)/cinemat.a: \
	$(MISDRIVERS)/cinemat.o $(AUDIO)/cinemat.o $(VIDEO)/cinemat.o \

$(MISOBJ)/dataeast.a: \
	$(MISDRIVERS)/astrof.o $(AUDIO)/astrof.o $(VIDEO)/astrof.o \
	$(MISDRIVERS)/btime.o $(MACHINE)/btime.o $(VIDEO)/btime.o \
	$(MISDRIVERS)/dec0.o $(MACHINE)/dec0.o $(VIDEO)/dec0.o \
	$(MISDRIVERS)/pcktgal.o $(VIDEO)/pcktgal.o \

$(MISOBJ)/gottlieb.a: \
	$(MISDRIVERS)/gottlieb.o $(AUDIO)/gottlieb.o $(VIDEO)/gottlieb.o \

$(MISOBJ)/igs.a: \
	$(MISDRIVERS)/pgm.o $(VIDEO)/pgm.o \
	$(MACHINE)/pgmcrypt.o \
	$(MACHINE)/pgmprot.o \
	$(MACHINE)/pgmy2ks.o \

$(MISOBJ)/irem.a: \
	$(MISDRIVERS)/mpatrol.o $(VIDEO)/mpatrol.o \
	$(MACHINE)/irem_cpu.o \
	$(AUDIO)/irem.o \

$(MISOBJ)/itech.a: \
	$(MISDRIVERS)/itech8.o $(MACHINE)/slikshot.o $(VIDEO)/itech8.o \

$(MISOBJ)/jaleco.a: \
	$(MISDRIVERS)/exerion.o $(VIDEO)/exerion.o \

$(MISOBJ)/konami.a: \
	$(MISDRIVERS)/amidar.o \
	$(MISDRIVERS)/frogger.o \
	$(DRIVERS)/scobra.o \
	$(MISDRIVERS)/scramble.o $(MACHINE)/scramble.o $(AUDIO)/scramble.o \
	$(MISDRIVERS)/shaolins.o $(VIDEO)/shaolins.o \
	$(MISDRIVERS)/trackfld.o $(MACHINE)/konami.o $(AUDIO)/trackfld.o $(VIDEO)/trackfld.o \
	$(VIDEO)/konamiic.o \

$(MISOBJ)/midway.a: \
	$(MISDRIVERS)/mcr.o $(MACHINE)/mcr.o $(AUDIO)/mcr.o $(VIDEO)/mcr.o \
	$(DRIVERS)/mcr3.o $(VIDEO)/mcr3.o \
	$(DRIVERS)/mcr68.o $(VIDEO)/mcr68.o \
	$(MISDRIVERS)/williams.o $(MACHINE)/williams.o $(AUDIO)/williams.o $(VIDEO)/williams.o \

$(MISOBJ)/namco.a: \
	$(MISDRIVERS)/galaga.o $(AUDIO)/galaga.o $(VIDEO)/galaga.o \
	$(MISDRIVERS)/galaxian.o $(MACHINE)/galaxian.o $(AUDIO)/galaxian.o $(MISVIDEO)/galaxian.o \
	$(MISDRIVERS)/mappy.o $(VIDEO)/mappy.o \
	$(MISDRIVERS)/pacland.o $(VIDEO)/pacland.o \
	$(DRIVERS)/polepos.o $(AUDIO)/polepos.o $(VIDEO)/polepos.o \
	$(MISDRIVERS)/rallyx.o $(VIDEO)/rallyx.o \
	$(DRIVERS)/timeplt.o $(AUDIO)/timeplt.o $(VIDEO)/timeplt.o \
	$(MACHINE)/namcoio.o \
	$(AUDIO)/geebee.o \
	$(MISAUDIO)/namco52.o \
	$(AUDIO)/namco54.o \
	$(AUDIO)/namcoc7x.o \
	$(VIDEO)/bosco.o \
	$(VIDEO)/digdug.o \
	$(MACHINE)/xevious.o $(VIDEO)/xevious.o \

$(MISOBJ)/neogeo.a: \
	$(MISDRIVERS)/neogeo.o $(MACHINE)/neogeo.o $(VIDEO)/neogeo.o \
	$(MACHINE)/neoboot.o \
	$(MACHINE)/neocrypt.o \
	$(MACHINE)/neoprot.o \
	$(MACHINE)/pd4990a.o \

$(MISOBJ)/nichibut.a: \
	$(MISDRIVERS)/cclimber.o $(MACHINE)/cclimber.o $(AUDIO)/cclimber.o $(VIDEO)/cclimber.o \

$(MISOBJ)/nintendo.a: \
	$(MISDRIVERS)/dkong.o $(AUDIO)/dkong.o $(VIDEO)/dkong.o \
	$(MISDRIVERS)/mario.o $(AUDIO)/mario.o $(VIDEO)/mario.o \
	$(MISDRIVERS)/playch10.o $(MACHINE)/playch10.o $(VIDEO)/playch10.o \
	$(MISDRIVERS)/vsnes.o $(MACHINE)/vsnes.o $(VIDEO)/vsnes.o \
	$(MACHINE)/drakton.o \
	$(MACHINE)/rp5h01.o \
	$(MACHINE)/strtheat.o \
	$(VIDEO)/ppu2c03b.o \
	$(VIDEO)/ppu2c0x.o \

$(MISOBJ)/pacman.a: \
	$(MISDRIVERS)/jrpacman.o \
	$(MISDRIVERS)/pacman.o $(MISVIDEO)/multipac.o $(VIDEO)/pacman.o \
	$(MISDRIVERS)/pengo.o \
	$(MACHINE)/acitya.o \
	$(MACHINE)/jumpshot.o \
	$(MACHINE)/mspacman.o \
	$(MACHINE)/pacplus.o \
	$(MACHINE)/theglobp.o \
	$(MISVIDEO)/pacmanx.o $(MISDRIVERS)/pacmanx.o \

$(MISOBJ)/phoenix.a: \
	$(MISDRIVERS)/phoenix.o $(AUDIO)/phoenix.o $(VIDEO)/phoenix.o \
	$(AUDIO)/pleiads.o \

$(MISOBJ)/sega.a: \
	$(MISDRIVERS)/dotrikun.o $(VIDEO)/dotrikun.o \
	$(DRIVERS)/megaplay.o \
	$(DRIVERS)/megatech.o \
	$(DRIVERS)/genesis.o $(VIDEO)/genesis.o \
	$(MISDRIVERS)/segag80r.o $(MACHINE)/segag80.o $(AUDIO)/segag80r.o $(VIDEO)/segag80r.o \
	$(DRIVERS)/segas16a.o $(VIDEO)/segas16a.o \
	$(DRIVERS)/segas18.o $(VIDEO)/segas18.o \
	$(DRIVERS)/segasyse.o $(VIDEO)/segasyse.o \
	$(MISDRIVERS)/system1.o $(VIDEO)/system1.o \
	$(MISDRIVERS)/system16.o $(MACHINE)/system16.o $(AUDIO)/system16.o $(VIDEO)/system16.o $(VIDEO)/sys16spr.o \
	$(DRIVERS)/system18.o \
	$(MACHINE)/53c810.o \
	$(MACHINE)/fd1089.o \
	$(MACHINE)/fd1094.o \
	$(MACHINE)/mc8123.o \
	$(MACHINE)/s16fd.o \
	$(MACHINE)/s24fd.o \
	$(MACHINE)/scudsp.o \
	$(MACHINE)/segaic16.o \
	$(AUDIO)/segasnd.o \
	$(VIDEO)/segaic16.o \
	$(VIDEO)/segaic24.o \
	$(VIDEO)/stvvdp1.o $(VIDEO)/stvvdp2.o \

$(MISOBJ)/seta.a: \
	$(MISDRIVERS)/st0016.o $(VIDEO)/st0016.o \

$(MISOBJ)/snk.a: \
	$(MISDRIVERS)/rockola.o $(AUDIO)/rockola.o $(VIDEO)/rockola.o \

$(MISOBJ)/taito.a: \
	$(MISDRIVERS)/arkanoid.o $(MACHINE)/arkanoid.o $(VIDEO)/arkanoid.o \
	$(MISDRIVERS)/bublbobl.o $(MACHINE)/bublbobl.o $(VIDEO)/bublbobl.o \
	$(MISDRIVERS)/rastan.o $(VIDEO)/rastan.o \
	$(MISDRIVERS)/taito_b.o $(VIDEO)/taito_b.o \
	$(MISDRIVERS)/taito_f2.o $(VIDEO)/taito_f2.o \
	$(MISDRIVERS)/taito_f3.o $(VIDEO)/taito_f3.o $(AUDIO)/taito_en.o \
	$(MACHINE)/cchip.o \
	$(MACHINE)/mb87078.o \
	$(AUDIO)/taitosnd.o \
	$(VIDEO)/taitoic.o \
	$(MISDRIVERS)/volfied.o $(MACHINE)/volfied.o $(VIDEO)/volfied.o \

$(MISOBJ)/tehkan.a: \
	$(MISDRIVERS)/bombjack.o $(VIDEO)/bombjack.o \
	$(MISDRIVERS)/tecmo.o $(VIDEO)/tecmo.o \
	$(MISDRIVERS)/tehkanwc.o $(VIDEO)/tehkanwc.o \

$(MISOBJ)/toaplan.a: \
	$(MISDRIVERS)/twincobr.o $(MACHINE)/twincobr.o $(VIDEO)/twincobr.o \
	$(DRIVERS)/wardner.o \

$(MISOBJ)/univers.a: \
	$(MISDRIVERS)/docastle.o $(MACHINE)/docastle.o $(VIDEO)/docastle.o \
	$(MISDRIVERS)/mrdo.o $(VIDEO)/mrdo.o \

$(MISOBJ)/valadon.a: \
	$(MISDRIVERS)/bagman.o $(MACHINE)/bagman.o $(VIDEO)/bagman.o \

#-------------------------------------------------
# remaining drivers
#-------------------------------------------------

$(MISOBJ)/misc.a: \
	$(MISDRIVERS)/kyugo.o $(VIDEO)/kyugo.o \

#-------------------------------------------------
# additional drivers from AGEMAME
#-------------------------------------------------

#$(MISOBJ)/agemame.a: \
#	$(MISVIDEO)/awpvid.o \
#	$(VIDEO)/bfm_adr2.o \
#	$(MISVIDEO)/bfm_dm01.o \
#	$(MISDRIVERS)/bfm_sc1.o \
#	$(MISDRIVERS)/bfm_sc2.o \
#	$(MISDRIVERS)/bfm_sc4.o \
#	$(MISDRIVERS)/bfmsys85.o \
#	$(MACHINE)/6840ptm.o \
#	$(MISDRIVERS)/mpu4.o \
#	$(MACHINE)/lamps.o \
#	$(MACHINE)/mmtr.o \
#	$(MACHINE)/steppers.o \
#	$(MACHINE)/vacfdisp.o \
	
#-------------------------------------------------
# additional drivers from MisfitMAME
#-------------------------------------------------

$(MISOBJ)/misfit.a: \
	$(MISDRIVERS)/monaco.o $(MISVIDEO)/monaco.o \
	$(MISVIDEO)/pong.o $(MISAUDIO)/pong.o $(MISDRIVERS)/pong.o \


#-------------------------------------------------
# layout dependencies
#-------------------------------------------------

$(DRIVERS)/bzone.o:		$(LAYOUT)/bzone.lh

$(MISVIDEO)/awpvid.o:		$(MISLAYOUT)/awpvid.lh

$(MISDRIVERS)/bfm_sc1.o:	$(MISLAYOUT)/bfm_sc1.lh
$(MISDRIVERS)/bfm_sc2.o:	$(LAYOUT)/bfm_sc2.lh \
				$(LAYOUT)/gldncrwn.lh \
				$(LAYOUT)/quintoon.lh \
				$(LAYOUT)/paradice.lh \
				$(LAYOUT)/pyramid.lh \
				$(LAYOUT)/pokio.lh \
				$(LAYOUT)/slots.lh \
				$(LAYOUT)/sltblgpo.lh \
				$(LAYOUT)/sltblgtk.lh \
				$(MISLAYOUT)/awpdmd.lh \
				$(MISLAYOUT)/drwho.lh

$(MISDRIVERS)/cinemat.o:	$(LAYOUT)/solarq.lh \
				$(LAYOUT)/starcas.lh

$(MISDRIVERS)/monaco.o:		$(MISLAYOUT)/monaco.lh
$(MISDRIVERS)/mpu4.o:		$(LAYOUT)/mpu4.lh
